Subject: WAPA ISDA Request
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 16 Mar 2001 01:24:00 -0800 (PST)

Sara -

I would like to discuss with you a potential opportunity at WAPA Sierra 
Nevada.  We have just sent them an EEI and would like you to send them an 
ISDA.  Basically in the near future they might find themselves quite short 
due to a PG&E contract being invalidated.  If that happens they will either:

1. Buy physical power from the market (use our EEI)
2.Do a financial swap with the market and continue to do the physical index 
with PG&E (there are some reasons for this which I am not 100% sure on).

The lawyer we have dealt with is Koji Kawamura and his email address is:

[email-masked]

Thanks for your help - If you have any questions please let me know.

Stewart Rosman